

Name: libkcddb5
Summary: Library for retrieving and sending cddb information
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0: http://download.kde.org/stable/applications/%{version}/src/libkcddb-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64musicbrainz5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64kdoctools-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: libxml2-utils
Obsoletes: libkcddb

%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%files
%{_datadir}/applications/kcm_cddb.desktop
%{_datadir}/config.kcfg/libkcddb5.kcfg
%{_datadir}/locale
/usr/share/qlogging-categories5/libkcddb.categories
#-----------------------------------------------------------------------------
%package -n libkcddb5-handbook
Summary: Handbook package for libkcddb
Group: Documentation
Requires: %name
BuildArch: noarch

%description -n libkcddb5-handbook
This package provides the handbook for KCM cddb.

%files -n libkcddb5-handbook
%{_datadir}/doc/HTML

#------------------------------------------------------------------------------
%define kcddb_major 5
%define libkcddb %mklibname kcddb %kcddb_major

%package -n %{libkcddb}
Summary: %{name} library
Group: System/Libraries
Requires: %name

%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%{_libdir}/libKF5Cddb.so.*
%{_libdir}/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_cddb.so
#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kcddb5 -d

%package -n %{libkcddb_devel} 
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %libkcddb
Provides: libkcddb5-devel = %version-%release
Provides: kcddb5-devel = %version-%release
Obsoletes: lib64kde4-kcddb-devel

%description -n %{libkcddb_devel} 
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel} 
%{_includedir}
%{_libdir}/cmake/KF5Cddb/KF5CddbConfig.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbConfigVersion.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbTargets-relwithdebinfo.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbTargets.cmake
%{_libdir}/libKF5Cddb.so
%{_libdir}/qt5/mkspecs/modules/qt_KCddb.pri
#------------------------------------------------------------------------------

%prep
%setup -qn libkcddb-%{version}

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

